%%
%% This is file `cell.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% bioextra.dtx  (with options: `cell')
%% 
%% This is a generated file.
%% 
%% Copyright 1996, 2002 by Shinsaku Fujita
%% 
%% This file is part of the ChemSci system.
%% =======================================
%% 
%% Released on November 30, 2002 (Version 1.02)
%% For LaTeX2e: Released on June 1, 1996 (Private Only)
%% 
%% Copyright (C) 1996, 2002 by Shinsaku Fujita, all rights reserved.
%% This style file is created for submitting a manuscript to
%% scientific journals. This style file is to be contained in the
%% ``chemist'' directory which is an input directory for TeX.
%% 
%% For using this file, see
%%   Shinsaku Fujita, ``LaTeX for Chemists and Biochemists''
%%   Tokyo Kagaku Dojin, Tokyo (1993), Chapter 16.
%% 
%% Copying of this file is authorized only if either
%% 
%%  (1) you make absolutely no changes to your copy, including name and
%%      directory name
%%  (2) if you do make changes,
%%      (a) you name it something other than the names included in the
%%          ``chemist'' directory and
%%      (b) you acknowledge the original name.
%%  This restriction ensures that all standard styles are identical.
%% 
%% =======================================
%% 
%% This file is a modification of article.sty (LaTeX2.09) and of article.cls
%% (a LaTeX2e standard class), the reused parts of which is subject to
%% Copyright 1994 the LaTeX3 project and the individual authors (For further
%% copyright information see the file legal.txt of the LaTeX2e standard
%% distribution, and any other copyright indicated in this file.)
%% 
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{cell}
   [2002/11/30 v1.02
    ChemSci document class]
\def\j@urnalname{cell} \def\journalID{cell}
\def\versi@ndate{November 30, 2002}
\def\versi@nno{ver1.02}
\def\copyrighth@lder{SF} % Shinsaku Fujita
\typeout{Document Class `\j@urnalname' (\versi@nno) <\versi@ndate>\space
[\copyrighth@lder]}
\def\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse
\newif\if@openright
\@openrightfalse
\newif\if@openbib
\@openbibfalse
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{a5paper}
   {\setlength\paperheight {210mm}%
    \setlength\paperwidth  {148mm}}
\DeclareOption{b5paper}
   {\setlength\paperheight {250mm}%
    \setlength\paperwidth  {176mm}}
\DeclareOption{letterpaper}
   {\setlength\paperheight {11in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{legalpaper}
   {\setlength\paperheight {14in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{executivepaper}
   {\setlength\paperheight {10.5in}%
    \setlength\paperwidth  {7.25in}}
\DeclareOption{b4paper}
   {\setlength\paperheight {364mm}%
    \setlength\paperwidth  {257mm}}
\DeclareOption{landscape}
   {\setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}}
\let\p@perarea\empty
\DeclareOption{a4j}{\def\p@perarea{a4j}}
\DeclareOption{10pt}{\def\@ptsize{0}}
\DeclareOption{11pt}{\def\@ptsize{1}}
\DeclareOption{12pt}{\def\@ptsize{2}}
\DeclareOption{oneside}{\@twosidefalse}
\DeclareOption{twoside}{\@twosidetrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\DeclareOption{titlepage}{\@titlepagetrue}
\DeclareOption{notitlepage}{\@titlepagefalse}
\DeclareOption{openright}{\@openrightfalse}
\DeclareOption{openany}{\@openrighttrue}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{\@openbibtrue}
\ExecuteOptions{a4paper,12pt,a4j,oneside,onecolumn,final}
\ProcessOptions
\input{size1\@ptsize.clo}
\ifx\p@perarea\empty \else
\input{\p@perarea.clo}\fi
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\def\baselinestretch{1.5}
\def\changespace#1{\def\baselinestretch{#1}\normalsize}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\def\topfraction{.7}
\setcounter{bottomnumber}{1}
\def\bottomfraction{.3}
\setcounter{totalnumber}{3}
\def\textfraction{.2}
\def\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\def\dbltopfraction{.7}
\def\dblfloatpagefraction{.5}
\if@twoside
  \def\ps@headings{%
      \let\@oddfoot\@empty\let\@evenfoot\@empty
      \def\@evenhead{\thepage\hfil\slshape\leftmark}%
      \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
      \let\@mkboth\markboth
    \def\sectionmark##1{%
      \markboth {\MakeUppercase{%
        \ifnum \c@secnumdepth >\z@
          \thesection\quad
        \fi
        ##1}}{}}%
    \def\subsectionmark##1{%
      \markright {%
        \ifnum \c@secnumdepth >\@ne
          \thesubsection\quad
          \fi
          ##1}}}
\else
  \def\ps@headings{%
    \let\@oddfoot\@empty
    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
    \let\@mkboth\markboth
    \def\sectionmark##1{%
      \markright {\MakeUppercase{%
        \ifnum \c@secnumdepth >\m@ne
          \thesection\quad
        \fi
        ##1}}}}
\fi
\def\ps@myheadings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@evenhead{\thepage\hfil\slshape\leftmark}%
    \def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
    \let\@mkboth\@gobbletwo
    \let\sectionmark\@gobble
    \let\subsectionmark\@gobble
    }
 \def\aand{$\!$}
 \def\address#1{\gdef\@address{#1}}
 \def\hdtitle#1{\gdef\@hdtitle{#1}}
 \def\clarticle#1{\gdef\@clarticle{#1}}
 \def\authors#1{\gdef\@authors{#1}}
 \def\correspond#1{\gdef\@correspond{#1}}
\correspond{} \hdtitle{} \clarticle{} %initialize
\def\maketitle{\par
 \begingroup
\def\thefootnote{\fnsymbol{footnote}}
 \def\theendnote{\fnsymbol{endnote}}
\setcounter{footnote}{1} % Asterisk: reserved for the editorial process
\def\@makefnmark{$^{\mbox{\scriptsize\@thefnmark}}\m@th$}
  \if@twocolumn
  \twocolumn[\@maketitle]
  \else \newpage
  \global\@topnum\z@ \@maketitle \fi%
 \thispagestyle{plain}
 \@thanks
 \endgroup
\setcounter{footnote}{0}%
 \let\maketitle\relax
 \let\@maketitle\relax
 \gdef\@thanks{}\gdef\@title{}\gdef\@authors{}\gdef\@address{}
 \gdef\@clarticle{}\gdef\@hdtitle{}
 \let\thanks\relax%
}
\def\@maketitle{\newpage \null \vskip 2em
\begin{flushleft}
{\Large\sf \@title \par} \vskip 1.5em
{\sf \lineskip .5em \@authors \par} \vskip 1em
{\@address \par} \vskip .5em
\end{flushleft}
\begingroup
 \setcounter{footnote}{1} %An astersk should be used for the chief author.
 \ifx\@correspond\empty \else
 \footnotetext{To whom correspondence should be addressed. %
 {\let\\=\relax \@correspond}} \fi
\endgroup
\vskip 0.5em}
\setcounter{secnumdepth}{3}
\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\def\thepart         {\@Roman\c@part}
\def\thesection      {\@arabic\c@section}
\def\thesubsection{\thesection.\@arabic\c@subsection}
\def\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}
\def\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\def\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}
\def\part{\par
   \addvspace{4ex}%
   \@afterindentfalse
   \secdef\@part\@spart}

\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >\m@ne
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >\m@ne
       \Large\bfseries \partname~\thepart
       \par\nobreak
     \fi
     \huge \bfseries #2%
     \markboth{}{}\par}%
    \nobreak
    \vskip 3ex
    \@afterheading}
\def\@spart#1{%
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \huge \bfseries #1\par}%
     \nobreak
     \vskip 3ex
     \@afterheading}
\def\@endpart{\vfil\newpage
              \if@twoside
                \hbox{}%
                \thispagestyle{empty}%
                \newpage
              \fi
              \if@tempswa
                \twocolumn
              \fi}
%%%%%%%%%%%%%%%1992 april 25%%%for centering section title%%%%%%%%%%%
%%%%%%%%%%%%%%%1992 July 8%%%%%%%%Section Numbering  1 ===> 1. %%%%
\def\@sect#1#2#3#4#5#6[#7]#8{\ifnum #2>\c@secnumdepth
     \def\@svsec{}\else
     \refstepcounter{#1}%
\edef\@svsec{\csname the#1\endcsname.\hskip 1em }%
     \fi
     \@tempskipa #5\relax
      \ifdim \@tempskipa>\z@
        \begingroup
          #6\relax
          \@hangfrom{\hskip #3\relax\@svsec}%
          {\interlinepenalty \@M #8\par}
        \endgroup
       \csname #1mark\endcsname{#7}\addcontentsline
         {toc}{#1}{\ifnum #2>\c@secnumdepth \else
                      \protect\numberline{\csname the#1\endcsname}\fi
                    #7}\else
      \def\@svsechd{#6\hskip #3\@svsec #8\csname #1mark\endcsname
                      {#7}\addcontentsline
                           {toc}{#1}{\ifnum #2>\c@secnumdepth \else
                             \protect\numberline{\csname the#1\endcsname}\fi
                       #7}}\fi
     \@xsect{#5}}
\def\@ssect#1#2#3#4#5{\@tempskipa #3\relax
   \ifdim \@tempskipa>\z@
     \begingroup%
     #4\@hangfrom{\hskip #1}%
     {\interlinepenalty \@M #5\par}
     \endgroup
   \else \def\@svsechd{#4\hskip #1\relax #5}\fi
    \@xsect{#3}}
\def\section{%
\@startsection {section}{1}%
{\z@}%
       {-3.5ex plus -1ex minus -.2ex}%
       {3.5ex plus 1ex minus .2ex}%
                            {%
  \normalfont\large\sffamily%
}}
\def\subsection{%
\@startsection{subsection}{2}%
{\z@}%
{-3.25ex plus -1ex minus -.2ex}%
{1ex plus 1ex minus .2ex}
                              {%
   \normalfont\normalsize\sffamily%
}}
\def\subsubsection{%
\@startsection{subsubsection}{3}%
{\z@}%
{3.25ex plus 1ex minus .2ex}%
  {-1em}
              {%
  \normalfont\normalsize\bfseries%
}}
\def\paragraph{\@startsection{paragraph}{4}%
{\z@}%
           {3.25ex \@plus1ex \@minus.2ex}%
           {-1em}%
{\normalfont\normalsize}
}
\def\subparagraph{\@startsection{subparagraph}{5}%
 {\z@}%
        {3.25ex \@plus1ex \@minus .2ex}%
        {-1em}%
 {\normalfont\normalsize}
}
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength\leftmargin    {\leftmargini}
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\def\theenumi{\@arabic\c@enumi}
\def\theenumii{\@alph\c@enumii}
\def\theenumiii{\@roman\c@enumiii}
\def\theenumiv{\@Alph\c@enumiv}
\def\labelenumi{\theenumi.}
\def\labelenumii{(\theenumii)}
\def\labelenumiii{\theenumiii.}
\def\labelenumiv{\theenumiv.}
\def\p@enumii{\theenumi}
\def\p@enumiii{\theenumi(\theenumii)}
\def\p@enumiv{\p@enumiii\theenumiii}
\def\labelitemi{$\m@th\bullet$}
\def\labelitemii{\normalfont\bfseries --}
\def\labelitemiii{$\m@th\ast$}
\def\labelitemiv{$\m@th\cdot$}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\def\descriptionlabel#1{\hspace\labelsep
                                \normalfont\bfseries #1}
\def\abstract{\if@twocolumn\section*{\abstractname}%
\else\bgroup\sf\section*{\abstractname}\fi\noindent\ignorespaces}
\def\endabstract{\if@twocolumn\else\egroup\par\fi\vspace*{6pt}}
\def\keywords{\center KEY WORDS: }
\let\endkeywords=\endcenter
\newenvironment{verse}
               {\let\\=\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item[]}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item[]}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item[]}
               {\endlist}
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \if@compatibility
        \setcounter{page}{0}
      \else
        \setcounter{page}{1}%
      \fi}%
    {\if@restonecol\twocolumn \else \newpage \fi
     \setcounter{page}{1}%
    }
\def\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \def\thesection{\@Alph\c@section}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\def\theequation{\@arabic\c@equation}
\newcounter{figure}
\def\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{{\sffamily \figurename~\thefigure}}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\def\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{{\sffamily \tablename~\thetable}}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newcounter{scheme}
\def\thescheme{\@arabic\c@scheme}
\def\fps@scheme{tbp}
\def\ftype@scheme{4}   %%power of 2
\def\ext@scheme{los}
\def\fnum@scheme{{\sffamily \schemename~\thescheme}}
\def\scheme{\@float{scheme}}
\let\endscheme\end@float
\@namedef{scheme*}{\@dblfloat{scheme}}
\@namedef{endscheme*}{\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
\setbox\@tempboxa\hbox{{\sffamily #1}. #2}
\ifdim \wd\@tempboxa >\hsize {\sffamily #1}. #2\par
\else \global\@minipagefalse
  \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
  \fi\vskip\belowcaptionskip}
\long\def\@maketbcaption{%
\@ifnextchar [{\@maketbc@ption}{\@maketbc@ption[\hsize]}}
\long\def\@maketbc@ption[#1]#2#3{\vskip 10pt
\begingroup\baselineskip=15pt
\mbox{}\hfill\vtop{\hsize=#1 \hrule\kern6pt
\setbox\@tempboxa\hbox{{\sffamily #2.} #3}
 \ifdim \wd\@tempboxa >#1\relax
\hbox{\hsize=#1\vtop{{\sffamily #2.} #3}\par}\par
 \else \hbox to#1{\box\@tempboxa\hfil}\par\fi
\kern6pt\hrule}\hfill\mbox{}\endgroup\par
\ignorespaces}
\def\tablewidth#1{\gdef\t@blewidth{#1}}
\tablewidth{}
\long\def\@caption#1[#2]#3{\par\addcontentsline{\csname ext@#1\endcsname}%
{#1}{\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}
\begingroup\@parboxrestore\normalsize
\def\@@ftype{figure}
\def\@@ttype{table}
\def\@@stype{scheme}
\ifx\@captype\@@ftype
\@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par \fi
\ifx\@captype\@@ttype
\ifx\t@blewidth\empty
\@maketbcaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
\else
\@maketbcaption[\t@blewidth]{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
\fi\fi
\ifx\@captype\@@stype
\@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par \fi
\endgroup}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch{\relax}{\mathcal}}
\DeclareRobustCommand*\mit{\@fontswitch{\relax}{\mathnormal}}
\def\@pnumwidth{1.55em}
\def\@tocrmarg{2.55em}
\def\@dotsep{4.5}
\setcounter{tocdepth}{3}
\def\tableofcontents{%
 \section*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
    \@starttoc{toc}%
    }
\def\l@part#1#2{%
  \ifnum \c@tocdepth >-2\relax
  \addpenalty\@secpenalty
    \addvspace{2.25em \@plus\p@}%
    \begingroup
      \setlength\@tempdima{3em}%
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}
       \fi
    \endgroup
  \fi}
\def\l@section#1#2{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\def\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\def\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\def\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\def\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\def\listoffigures{%
    \section*{\listfigurename
      \@mkboth{\MakeUppercase\listfigurename}%
              {\MakeUppercase\listfigurename}}%
    \@starttoc{lof}%
    }
\def\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\def\listoftables{%
    \section*{\listtablename
      \@mkboth{%
          \MakeUppercase\listtablename}{\MakeUppercase\listtablename}}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure

\def\listofschemes{\section*{List of Schemes\markboth
 {LIST OF SCHEMES}{LIST OF SCHEMES}}\@starttoc{los}}
\def\l@scheme{\@dottedtocline{1}{1.5em}{2.3em}}
\newdimen\bibindent
\bibindent=1.5em
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\@lbibitem[#1]#2{\item[]\if@filesw
      { \def\protect##1{\string ##1\space}\immediate
        \write\@auxout{\string\bibcite{#2}{#1}}}\fi\ignorespaces}
\def\thebibliography#1{\section*{%
\refname
\@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}}%
 \list{}%
{%
\labelwidth=0cm \labelsep=0pt \leftmargin=0cm \itemsep=10pt
\usecounter{enumi}}
\let\endthebibliography=\endlist
 \def\newblock{\hskip .11em plus .33em minus .07em}
 \sloppy\clubpenalty4000\widowpenalty4000
 \sfcode`\.=1000\relax}

\def\endash{\mbox{--}}
%%%%%%%%%%1993 March 10 \cite%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\@citex[#1]#2{\if@filesw\immediate\write\@auxout{\string\citation{#2}}\fi
  \def\@citea{}\@cite{\@for\@citeb:=#2\do
    {\@citea\def\@citea{;\penalty\@m\ }\@ifundefined
       {b@\@citeb}{{\bf ?}\@warning
       {Citation `\@citeb' on page \thepage \space undefined}}%
        {\csname b@\@citeb\endcsname}}}{#1}}
\def\@cite#1#2{({#1\if@tempswa , #2\fi})}
\let\befcite=\cite
\let\inncite=\cite
\let\aftcite=\cite
%%%%%%%%%%1993 March 10 \ccite%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\ccite{\@ifnextchar [{\@tempswatrue\@ccitex}%
  {\@tempswafalse\@ccitex[]}}
\def\bibcite#1#2{\global\@namedef{b@#1}{#2}%
   \def\cciteb@@{#2;#1;}%
   \ifx#2\empty\else \expandafter\@separation\cciteb@@\fi}
\def\@separation#1,#2;#3;{\global\@namedef{aa@#3}{#1}
 \global\@namedef{bb@#3}{#2}}
%%\def\@separation#1, #2;#3;{\global\@namedef{aa@#3}{#1}
%% \global\@namedef{bb@#3}{#2}}
\def\@ccitex[#1]#2{\if@filesw\immediate\write\@auxout
{\string\citation{#2}}\fi
  \def\@ccitea{}\@ccite{\@for\@cciteb:=#2\do
    {\@ccitea\def\@ccitea{);\penalty\@m\ }\@ifundefined
       {b@\@cciteb}{{\bf ?}\@warning
       {Citation `\@cciteb' on page \thepage \space undefined}}%
      {\csname aa@\@cciteb\endcsname\space %
      (\ignorespaces\csname bb@\@cciteb\endcsname}}}{#1}}
\def\@ccite#1#2{{#1\if@tempswa , #2\fi})}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\let\befccite=\ccite
\let\innccite=\ccite
\let\aftccite=\ccite
\let\citeset=\cite
\let\befciteset=\cite
\let\innciteset=\cite
\let\aftciteset=\cite
\let\cciteset=\ccite
\let\befcciteset=\ccite
\let\inncciteset=\ccite
\let\aftcciteset=\ccite
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}%
                        {\MakeUppercase\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\def\@idxitem{\par\hangindent 40\p@}
\def\subitem{\par\hangindent 40\p@ \hspace*{20\p@}}
\def\subsubitem{\par\hangindent 40\p@ \hspace*{30\p@}}
\def\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\def\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\long\def\@makefntext#1{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}
\def\@makefnmark{$^{\mbox{\scriptsize\@thefnmark}}\m@th$}
\def\contentsname{Contents}
\def\listfigurename{List of Figures}
\def\listtablename{List of Tables}
\def\refname{References}
\def\indexname{Index}
\def\figurename{Figure}
\def\schemename{Scheme}
\def\tablename{Table}
\def\partname{Part}
\def\appendixname{Appendix}
\def\abstractname{Summary}
\def\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\pagestyle{plain}
\pagenumbering{arabic}
\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi
\input _endnote.sty\relax
\def\notesname{TEXTUAL FOOTNOTES}
\def\theendnote{\arabic{endnote}}
\endinput
%%
%% End of file `cell.cls'.
